import { IGcTextRect } from "../Models/GcMeasurementTypes";
export declare class TextSelectionBoundsTester {
    protected _textCtx: CanvasRenderingContext2D;
    constructor(textCtx: CanvasRenderingContext2D | null);
    static createInstance(canvas?: HTMLCanvasElement): TextSelectionBoundsTester;
    getPosXforCaret(item: IGcTextRect, caret: number): number;
    /**
     * Get y position within page according given caret position
     * @param item
     * @param caret
     * @param shiftChar
     */
    getPosYforCaret(item: IGcTextRect, caret: number, shiftChar?: number): number;
    protected _findTextScale(item: IGcTextRect): any;
    protected _getCanvasTextWidth(text: string, item: IGcTextRect, ctx?: CanvasRenderingContext2D | null): number;
}
